Subject: Re: [Sigtran] Invalid Stream Identifier err for DATA message

From: santosh nayak <[email-masked]>
Date: Thu, 2 Jun 2011 17:20:25 +0530

Hi,

I am sending M3UA BEAT message, and ending up the error "Invalid stream
identifier". Attaching the pcap for reference.

The capture contain two BEAT message, and one of the responded with the
error.

Please let me know why the behavior is like this.

Thanks,
Santosh

On Sat, Feb 26, 2011 at 2:54 PM, Michael Tüxen <
[email-masked]> wrote:

> On Feb 26, 2011, at 2:26 AM, santosh nayak wrote:
>
> > Hi,
> >
> > As per RFC 4666  "Invalid Stream Identifier" error is sent if a message
> is received on an unexpected SCTP stream (e.g., a Management message was
> received on a stream other than "0"). So the err message only received in
> response for Management message
> >
> > But we are receiving the above error message. When we send a DATA message
> (i.e. SSA) with not the proper stream id.
> >
> > Is the behavior correct. if yes please explain.
> RFC 4666, Section 1.4.7 states: The DATA message MUST NOT be sent on stream
> 0.
>
> The DATA message (frame 10) was send on stream 0, therefore the ERR.
>
> Best regards
> Michael
> >
> >
> > Attaching the pcap for reference
> >
> > Thanks,
> > Santosh
> > <err1.pcap>_______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/sigtran
>
>

---

From: "David Laight" <[email-masked]>
Date: Thu, 2 Jun 2011 13:11:03 +0100

Look at the packet decode, the INIT requests 'outbound streams 1, inbound 4'.
The BEAT is on stream 1 - which is illegal.
 
It is more likely that you need to negotiate 5 streams in each direction.
Giving you 4 streams for data.
 
    David

________________________________

	From: [email-masked] [mailto:[email-masked]] On Behalf Of santosh nayak
	Sent: 02 June 2011 12:50
	To: Michael Tüxen
	Cc: [email-masked]; [email-masked]
	Subject: Re: [Sigtran] Invalid Stream Identifier err for DATA message

	Hi,
	
	I am sending M3UA BEAT message, and ending up the error "Invalid stream identifier". Attaching the pcap for reference.
	
	The capture contain two BEAT message, and one of the responded with the error.

	Thanks,
	Santosh

	On Sat, Feb 26, 2011 at 2:54 PM, Michael Tüxen <[email-masked]> wrote:

		On Feb 26, 2011, at 2:26 AM, santosh nayak wrote:
		
		> Hi,
		>
		> As per RFC 4666  "Invalid Stream Identifier" error is sent if a message is received on an unexpected SCTP stream (e.g., a Management message was received on a stream other than "0"). So the err message only received in response for Management message
		>
		> But we are receiving the above error message. When we send a DATA message (i.e. SSA) with not the proper stream id.
		>
		
		RFC 4666, Section 1.4.7 states: The DATA message MUST NOT be sent on stream 0.

		Best regards
		Michael